Docs
Search docs...⌘K

Project Health Scores

GET/v3/site-audit/projects

Requests to this endpoint are free and do not consume any API units.

Query parameters

project_urlstring

Filters projects by target URL (ignores protocol and trailing slash).

project_namestring

Filters projects by name.

datestring

A timestamp in YYYY-MM-DDThh:mm:ss format specifying the crawl date to retrieve metrics from. Defaults to the most recent available crawl if omitted. For scheduled crawls, we return data from the latest crawl finished before the specified timestamp. For Always-on audit crawls, we return data as of the provided date and time. If the time component is omitted, it defaults to 00:00:00. The timestamp is interpreted in UTC.

project_idinteger

The unique identifier of the project. You can find it in the URL of your Site Audit project in Ahrefs: https://app.ahrefs.com/site-audit/#project_id#

outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

healthscoresarray
project_idstring

The unique identifier of the project.

project_namestring

The project name.

target_protocolstring

The protocol of the target. Possible values: both, http, https.

target_urlstring

The URL of the project's target.

target_modestring

The scope of the target. Possible values: exact, prefix, domain, subdomains.

datestring or null

The finish date and time of the last finished crawl, in GMT time zone.

statusstring or null

The status of the most recent finished crawl. Possible values: Completed, Stopped, Error, In_progress.

health_scoreinteger or null

Reflects the proportion of internal URLs on your site that do not have errors, based on the last finished crawl. Excludes crawls that are starting, in progress, finalizing, or were skipped.

urls_with_errorsinteger or null

Number of internal URLs with errors

urls_with_warningsinteger or null

Number of internal URLs with warnings

urls_with_noticesinteger or null

Number of internal URLs with notices

totalinteger or null

Number of total crawled internal URLs